// 导入axios实例
import httpRequest from '@/request/index'

// 导出数据接口
export function apiGetExportMsg(url, params) {
    return httpRequest({
        url: url,
        method: 'get',
        responseType: 'blob',
        params: params
    })
}
// 导出模版接口
export function apiGetModel(url, params) {
    return httpRequest({
        url: url,
        method: 'get',
        params: params
    })
}

//----------------------------------------登录页接口------------------------------------------------

// 获取验证码
export function apiGetUserInfo() {
    return httpRequest({
        url: 'captchaImage',
        method: 'get'
    })
}
// 登录接口
export function toLoginApi(params) {
    return httpRequest({
        url: 'toLogin',
        method: 'post',
        params: params
    })
}
// 天气Api接口
export function apiGetWeather(params) {
    return httpRequest({
        url: 'predict/api/wfc/getWeatherForecastDataOne',
        method: 'get',
        params: params
    })
}

//----------------------------------------头部接口------------------------------------------------
export function apiGetpersonalInformation(params) {
    return httpRequest({
        url: 'predict/api/uic/personalInformation',
        method: 'post',
        params: params
    })
}


//----------------------------------------概要页接口------------------------------------------------
// 获取场站信息
export function apiGetStation() {
    return httpRequest({
        url: 'predict/api/share/getStationsAll',
        method: 'get'
    })
}
// 获取场站信息 ----- 功率
export function apiGetStationGL() {
    return httpRequest({
        url: 'predict/api/share/getGlStationsAll',
        method: 'get'
    })
}
// 获取场站信息 ----- 电量
export function apiGetStationDL() {
    return httpRequest({
        url: 'predict/api/share/getDlStationsAll',
        method: 'get'
    })
}
// 获取今日功率预测
export function apiGetPowerPrediction() {
    return httpRequest({
        url: 'predict/api/sc/todayPowerForecast',
        method: 'get'
    })
}
// 获取今日风速预测
export function apiGetWindSpeed() {
    return httpRequest({
        url: 'predict/api/sc/todayWindSpeedForecast',
        method: 'get'
    })
}
// 获取今日辐照度预测
export function apiGetirradianceForecast() {
    return httpRequest({
        url: 'predict/api/sc/todayIrradianceForecast',
        method: 'get'
    })
}
//装机，并网，实时，可用电量
export function apiGetCapacity() {
    return httpRequest({
        url: 'predict/api/sc/installedCapacity',
        method: 'get'
    })
}
//预测考核分数
export function apiGetAssessmentScore(params) {
    return httpRequest({
        url: 'predict/api/sc/predictedAssessmentScores',
        method: 'get',
        params: params
    })
}
//全域功率预测echarts
export function apiGetglobalPowerCharts(params) {
    return httpRequest({
        url: 'predict/api/sc/globalPowerPredictionChartData',
        method: 'get',
        params: params
    })
}
//全域功率预测table
export function apiGetglobalPowerTable(params) {
    return httpRequest({
        url: 'predict/api/sc/globalPowerPredictionTableData',
        method: 'get',
        params: params
    })
}
//全域风速预测echarts
export function apiGetglobalWindSpeedCharts(params) {
    return httpRequest({
        url: 'predict/api/sc/globalWindSpeedForecastChartData',
        method: 'get',
        params: params
    })
}
//全域辐照度预测echarts
export function apiGetglobalIrradianceCharts(params) {
    return httpRequest({
        url: 'predict/api/sc/globalIrradianceForecastChartData',
        method: 'get',
        params: params
    })
}
//全域风速预测table
export function apiGetglobalWindSpeedTable(params) {
    return httpRequest({
        url: 'predict/api/sc/globalWindSpeedForecastTableData',
        method: 'get',
        params: params
    })
}
//全域辐照度预测table
export function apiGetglobalIrradianceTable(params) {
    return httpRequest({
        url: 'predict/api/sc/globalIrradianceForecastTableData',
        method: 'get',
        params: params
    })
}
//预警服务
export function apiGetEarlyWarningInfo(params) {
    return httpRequest({
        url: 'predict/api/share/getEarlyWarningInfo',
        method: 'get',
        params: params
    })
}
//获取所有场站天气
export function apiGetallWeatherInfo(params) {
    return httpRequest({
        url: 'predict/api/wfc/getWeatherForecastAllTerminalData',
        method: 'get',
        params: params
    })
}
//获取所有场站天气
export function apiGetStatusInfoAll(params) {
    return httpRequest({
        url: '/predict/api/share/getUnitStatusInfoAll',
        method: 'get',
        params: params
    })
}

//----------------------------------------全景功率页接口------------------------------------------------
//全景功率页面echarts
export function apiGetpanoramicPowerCharts() {
    return httpRequest({
        url: 'predict/api/ppc/panoramicPower',
        method: 'get'
    })
}

//----------------------------------------功率预测页接口------------------------------------------------
//装机，并网，实时，可用电量
export function apiGetinstalledCapacity(params) {
    return httpRequest({
        url: 'predict/api/ppc/installedCapacity',
        method: 'get',
        params: params
    })
}
//装机，并网，实时，可用电量
export function apiGetpredictedAssessmentScores(params) {
    return httpRequest({
        url: 'predict/api/ppc/predictedAssessmentScores',
        method: 'get',
        params: params
    })
}
//仪表盘，玫瑰图
export function apiGetmeteorologicalElements(params) {
    return httpRequest({
        url: 'predict/api/ppc/meteorologicalElements',
        method: 'get',
        params: params
    })
}
export function apiGetwindRosetteChart(params) {
    return httpRequest({
        url: 'predict/api/ppc/windRosetteChart',
        method: 'get',
        params: params
    })
}
export function apiGetUnitStatusInfoByStationNo(params) {
    return httpRequest({
        url: 'predict/api/share/getUnitStatusInfoByStationNo',
        method: 'get',
        params: params
    })
}

//----------------------------------------电量预测页接口------------------------------------------------
export function apiGetdailyPowerGenerationForecast(params) {
    return httpRequest({
        url: 'predict/api/efc/dailyPowerGenerationForecast',
        method: 'get',
        params: params
    })
}
export function apiGetmonthlyDailyPowerGenerationForecast(params) {
    return httpRequest({
        url: 'predict/api/efc/monthlyDailyPowerGenerationForecast',
        method: 'get',
        params: params
    })
}
export function apiGetannualMonthlyElectricityGenerationForecast(params) {
    return httpRequest({
        url: 'predict/api/efc/annualMonthlyElectricityGenerationForecast',
        method: 'get',
        params: params
    })
}
export function apiGettodayPowerGenerationForecast(params) {
    return httpRequest({
        url: 'predict/api/efc/todayPowerGenerationForecast',
        method: 'get',
        params: params
    })
}
export function apiGetdailyPowerComparisonChartData(params) {
    return httpRequest({
        url: 'predict/api/efc/dailyPowerGenerationForecastComparisonChartData',
        method: 'get',
        params: params
    })
}
export function apiGetdailyPowerComparisonTableData(params) {
    return httpRequest({
        url: 'predict/api/efc/dailyPowerGenerationForecastComparisonTableData',
        method: 'get',
        params: params
    })
}
export function apiGetmonthlyDailyPowerComparisonChartData(params) {
    return httpRequest({
        url: 'predict/api/efc/monthlyDailyPowerGenerationForecastComparisonChartData',
        method: 'get',
        params: params
    })
}
export function apiGetyearlyDailyPowerComparisonChartData(params) {
    return httpRequest({
        url: 'predict/api/efc/annualMonthlyElectricityGenerationForecastComparisonChartData',
        method: 'get',
        params: params
    })
}
export function apiGetmonthlyDailyPowerComparisonTableData(params) {
    return httpRequest({
        url: 'predict/api/efc/monthlyDailyPowerGenerationForecastComparisonTableData',
        method: 'get',
        params: params
    })
}
export function apiGetyearlyDailyPowerComparisonTableData(params) {
    return httpRequest({
        url: 'predict/api/efc/annualMonthlyElectricityGenerationForecastComparisonTableData',
        method: 'get',
        params: params
    })
}

//----------------------------------------功率管控页接口------------------------------------------------
//风机状态服务
export function apiGetWturByStationNo(params) {
    return httpRequest({
        url: 'predict/api/configureShare/getWturByStationNo',
        method: 'get',
        params: params
    })
}
//风场详情页概览服务
export function apiGetterminalOverview(params) {
    return httpRequest({
        url: 'predict/api/pmc/terminalOverview',
        method: 'get',
        params: params
    })
}
//功率预测--期次服务
export function apiGetpowerPredictionQc(params) {
    return httpRequest({
        url: 'predict/api/pmc/powerPredictionQc',
        method: 'get',
        params: params
    })
}
//功率预测--集电线服务
export function apiGetpowerPredictionJdx(params) {
    return httpRequest({
        url: 'predict/api/pmc/powerPredictionJdx',
        method: 'get',
        params: params
    })
}
//功率预测--风机服务
export function apiGetpowerPredictionFj(params) {
    return httpRequest({
        url: 'predict/api/pmc/powerPredictionFj',
        method: 'get',
        params: params
    })
}
//电量预测--期次服务
export function apiGetelectricityForecastQc(params) {
    return httpRequest({
        url: 'predict/api/pmc/electricityForecastQc',
        method: 'get',
        params: params
    })
}
//电量预测--集电线服务
export function apiGetelectricityForecastJdx(params) {
    return httpRequest({
        url: 'predict/api/pmc/electricityForecastJdx',
        method: 'get',
        params: params
    })
}
//电量预测--风机服务
export function apiGetelectricityForecastFj(params) {
    return httpRequest({
        url: 'predict/api/pmc/electricityForecastFj',
        method: 'get',
        params: params
    })
}
//获取所有并网停机的风机
export function apiGetcanCarriedOutDowntime(params) {
    return httpRequest({
        url: 'predict/api/pmc/canCarriedOutDowntime',
        method: 'get',
        params: params
    })
}
export function apiGetWturByWindplantprojectNo(params) {
    return httpRequest({
        url: 'predict/api/configureShare/getWturByWindplantprojectNo',
        method: 'get',
        params: params
    })
}
export function apiGetWturByCollectorwireprojectNo(params) {
    return httpRequest({
        url: 'predict/api/configureShare/getWturByCollectorwireprojectNo',
        method: 'get',
        params: params
    })
}
// 提交并网停机设置服务
export function apiGetgridConnection(params) {
    return httpRequest({
        url: 'predict/api/pmc/gridConnection',
        method: 'get',
        params: params
    })
}
// 提交停机设置服务
export function apiGetshutdownSettings(params) {
    return httpRequest({
        url: 'predict/api/pmc/shutdownSettings',
        method: 'get',
        params: params
    })
}

//----------------------------------------天气预报页接口------------------------------------------------
// 天气服务
export function apiGetWeatherForecast(params) {
    return httpRequest({
        url: 'predict/api/wfc/getWeatherForecastData',
        method: 'get',
        params: params
    })
}

//----------------------------------------统计汇总页接口------------------------------------------------
// 月发电量及功率预测--曲线图
export function apiGetmonthlyPower(params) {
    return httpRequest({
        url: 'predict/api/ssc/monthlyPowerGenerationReport',
        method: 'get',
        params: params
    })
}
// 获取年发电量数据
export function apiGetannualPower(params) {
    return httpRequest({
        url: 'predict/api/ssc/annualPowerGenerationReport',
        method: 'get',
        params: params
    })
}

//----------------------------------------系统配置页接口------------------------------------------------
// 获取注册区域信息列表
export function apiGetgetRegistrationAreaList() {
    return httpRequest({
        url: 'predict/api/smhc/getRegistrationAreaList',
        method: 'post'
    })
}
// 智慧配置
export function apiGetwisdomConfiguration(params) {
    return httpRequest({
        url: 'predict/api/smhc/wisdomConfiguration',
        method: 'post',
        params: params
    })
}
// 发电计划配置
export function apiGetgenerationScheduleConfiguration(params) {
    return httpRequest({
        url: 'predict/api/smhc/generationScheduleConfiguration',
        method: 'post',
        params: params
    })
}
//----------------------------------------系统配置首页接口------------------------------------------------
//----------------------------------------区域信息配置接口------------------------------------------------
// 获取区域信息配置数据
export function apiGetAreaList(params) {
    return httpRequest({
        url: 'predict/api/rmc/getAreaList',
        method: 'post',
        params: params
    })
}
// 新增区域信息配置数据
export function apiGetaddArea(params) {
    return httpRequest({
        url: 'predict/api/rmc/addArea',
        method: 'post',
        params: params
    })
}
// 修改区域信息配置数据
export function apiGetupdateArea(params) {
    return httpRequest({
        url: 'predict/api/rmc/updateArea',
        method: 'post',
        params: params
    })
}
// 删除区域信息配置数据
export function apiGetdeleteArea(params) {
    return httpRequest({
        url: 'predict/api/rmc/deleteArea',
        method: 'post',
        params: params
    })
}
//----------------------------------------场站信息配置接口------------------------------------------------
// 获取场站信息配置数据
export function apiGetgetStationsList(params) {
    return httpRequest({
        url: 'predict/api/smc/getStationsList',
        method: 'post',
        params: params
    })
}
// 新增场站信息配置数据
export function apiGetaddStations(params) {
    return httpRequest({
        url: 'predict/api/smc/addStations',
        method: 'post',
        params: params
    })
}
// 修改场站信息配置数据
export function apiGetupdateStations(params) {
    return httpRequest({
        url: 'predict/api/smc/updateStations',
        method: 'post',
        params: params
    })
}
// 删除场站信息配置数据
export function apiGetdeleteStations(params) {
    return httpRequest({
        url: 'predict/api/smc/deleteStations',
        method: 'post',
        params: params
    })
}
// 获取场站类型数据
export function apiGetgetEnumerateMenu(params) {
    return httpRequest({
        url: 'predict/api/configureShare/getEnumerateMenu',
        method: 'get',
        params: params
    })
}
// 获取风区类型数据
export function apiGetgetAreaAll(params) {
    return httpRequest({
        url: 'predict/api/configureShare/getAreaAll',
        method: 'get',
        params: params
    })
}
//----------------------------------------期次信息配置接口------------------------------------------------
// 获取期次信息配置数据
export function apiGetWindplantprojectList(params) {
    return httpRequest({
        url: 'predict/api/smc/getWindplantprojectList',
        method: 'post',
        params: params
    })
}
// 新增期次信息配置数据
export function apiGetaddWindplantproject(params) {
    return httpRequest({
        url: 'predict/api/smc/addWindplantproject',
        method: 'post',
        params: params
    })
}
// 修改期次信息配置数据
export function apiGetupdateWindplantproject(params) {
    return httpRequest({
        url: 'predict/api/smc/updateWindplantproject',
        method: 'post',
        params: params
    })
}
// 删除期次信息配置数据
export function apiGetdeleteWindplantproject(params) {
    return httpRequest({
        url: 'predict/api/smc/deleteWindplantproject',
        method: 'post',
        params: params
    })
}
// 根据风场获取期次数据
export function apiGetWindplantprojectListByWindplantNo(params) {
    return httpRequest({
        url: 'predict/api/configureShare/getWindplantprojectByStationNo',
        method: 'get',
        params: params
    })
}
// 获取风电场数据
export function apiGetgetWindFarmAll(params) {
    return httpRequest({
        url: 'predict/api/configureShare/getWindFarmAll',
        method: 'get',
        params: params
    })
}
// 校验遥测号是否唯一---------待定
export function apiGetcheckWindplantprojectAnalogNoUnique(params) {
    return httpRequest({
        url: 'predict/api/sc/checkWindplantprojectAnalogNoUnique',
        method: 'post',
        params: params
    })
}
// 校验期次编号是否唯一
export function apiGetcheckProjectNoUnique(params) {
    return httpRequest({
        url: 'predict/api/sc/checkProjectNoUnique',
        method: 'post',
        params: params
    })
}
//----------------------------------------集电线信息配置接口------------------------------------------------
// 获取集电线信息配置数据
export function apiGetCollectorwireprojectList(params) {
    return httpRequest({
        url: 'predict/api/smc/getCollectorwireprojectList',
        method: 'post',
        params: params
    })
}
// 新增集电线信息配置数据
export function apiGetaddCollectorwireproject(params) {
    return httpRequest({
        url: 'predict/api/smc/addCollectorwireproject',
        method: 'post',
        params: params
    })
}
// 修改集电线信息配置数据
export function apiGetupdateCollectorwireproject(params) {
    return httpRequest({
        url: 'predict/api/smc/updateCollectorwireproject',
        method: 'post',
        params: params
    })
}
// 删除集电线信息配置数据
export function apiGetdeleteCollectorwireproject(params) {
    return httpRequest({
        url: 'predict/api/smc/deleteCollectorwireproject',
        method: 'post',
        params: params
    })
}
// 根据期次查询集电线
export function apiGetCollectorwireprojectByProjectNo(params) {
    return httpRequest({
        url: 'predict/api/configureShare/getCollectorwireprojectByProjectNo',
        method: 'get',
        params: params
    })
}
// 校验遥测号是否唯一---------待定
export function apiGetcheckCollectorwireprojectAnalogNoUnique(params) {
    return httpRequest({
        url: 'predict/api/sc/checkCollectorwireprojectAnalogNoUnique',
        method: 'get',
        params: params
    })
}
//----------------------------------------机组信息配置接口------------------------------------------------
// 获取机组信息配置数据
export function apiGetgetWturList(params) {
    return httpRequest({
        url: 'predict/api/cmc/getWturList',
        method: 'post',
        params: params
    })
}
// 删除机组信息配置数据
export function apiGetdeleteWtur(params) {
    return httpRequest({
        url: 'predict/api/cmc/deleteWtur',
        method: 'post',
        params: params
    })
}
// 根据风区号选择场站
export function apiGetgetStationsByAreaNo(params) {
    return httpRequest({
        url: 'predict/api/configureShare/getGlStationsByAreaNo',
        method: 'get',
        params: params
    })
}

//----------------------------------------机组测点信息配置接口------------------------------------------------
// 获取计算模型信息配置数据
export function apiGetgetUnitMeasuringPointList(params) {
    return httpRequest({
        url: 'predict/api/umpmc/getUnitMeasuringPointList',
        method: 'post',
        params: params
    })
}
// 删除机组测点信息配置数据
export function apiGetdeleteUnitMeasuringPoint(params) {
    return httpRequest({
        url: 'predict/api/umpmc/deleteUnitMeasuringPoint',
        method: 'post',
        params: params
    })
}

//----------------------------------------场站功率测点信息配置接口------------------------------------------------
// 获取场站功率测点信息配置数据
export function apiGetgetStationPowerMeasurementPointList(params) {
    return httpRequest({
        url: 'predict/api/spmpmc/getStationPowerMeasurementPointList',
        method: 'post',
        params: params
    })
}
// 删除场站功率测点信息配置数据
export function apiGetdeleteStationPowerMeasurementPoint(params) {
    return httpRequest({
        url: 'predict/api/spmpmc/deleteStationPowerMeasurementPoint',
        method: 'post',
        params: params
    })
}

//----------------------------------------规范测点信息配置接口------------------------------------------------
// 获取规范测点信息配置数据
export function apiGetgetStandardPointManagementList(params) {
    return httpRequest({
        url: 'predict/api/smpmc/getStandardPointManagementList',
        method: 'post',
        params: params
    })
}
// 删除规范测点信息配置数据
export function apiGetdeleteStandardPointManagement(params) {
    return httpRequest({
        url: 'predict/api/smpmc/deleteStandardPointManagement',
        method: 'post',
        params: params
    })
}

//----------------------------------------计算模型配置接口------------------------------------------------
// 获取计算模型信息配置数据
export function apiGetCalculationModelList(params) {
    return httpRequest({
        url: 'predict/api/cmc/getCalculationModelList',
        method: 'post',
        params: params
    })
}
// 新增计算模型信息配置数据
export function apiGetaddCalculationModel(params) {
    return httpRequest({
        url: 'predict/api/cmc/addCalculationModel',
        method: 'post',
        params: params
    })
}
// 修改计算模型信息配置数据
export function apiGetupdateCalculationModel(params) {
    return httpRequest({
        url: 'predict/api/cmc/updateCalculationModel',
        method: 'post',
        params: params
    })
}
// 删除计算模型信息配置数据
export function apiGetdeleteCalculationModel(params) {
    return httpRequest({
        url: 'predict/api/cmc/deleteCalculationModel',
        method: 'post',
        params: params
    })
}

//----------------------------------------数值天气预报配置接口------------------------------------------------
// 获取数值天气预报信息配置数据
export function apiGetgetWfFileConfigList(params) {
    return httpRequest({
        url: 'predict/api/nwmc/getWfFileConfigList',
        method: 'post',
        params: params
    })
}
// 新增数值天气预报信息配置数据
export function apiGetaddWfFileConfig(params) {
    return httpRequest({
        url: 'predict/api/nwmc/addWfFileConfig',
        method: 'post',
        params: params
    })
}
// 修改数值天气预报信息配置数据
export function apiGetupdateWfFileConfig(params) {
    return httpRequest({
        url: 'predict/api/nwmc/updateWfFileConfig',
        method: 'post',
        params: params
    })
}
// 删除数值天气预报信息配置数据
export function apiGetdeleteWfFileConfig(params) {
    return httpRequest({
        url: 'predict/api/nwmc/deleteWfFileConfig',
        method: 'post',
        params: params
    })
}

//----------------------------------------发电计划管理配置接口------------------------------------------------
// 获取发电计划管理信息配置数据
export function apiGetgetProjectplanList(params) {
    return httpRequest({
        url: 'predict/api/pgpmc/getProjectplanList',
        method: 'post',
        params: params
    })
}
// 新增发电计划管理信息配置数据
export function apiGetaddProjectplan(params) {
    return httpRequest({
        url: 'predict/api/pgpmc/addProjectplan',
        method: 'post',
        params: params
    })
}
// 修改发电计划管理信息配置数据
export function apiGetupdateProjectplan(params) {
    return httpRequest({
        url: 'predict/api/pgpmc/updateProjectplan',
        method: 'post',
        params: params
    })
}
// 删除发电计划管理信息配置数据
export function apiGetdeleteProjectplan(params) {
    return httpRequest({
        url: 'predict/api/pgpmc/deleteProjectplan',
        method: 'post',
        params: params
    })
}

//----------------------------------------预测上报管理配置接口------------------------------------------------
// 获取预测上报管理信息配置数据
export function apiGetgetForecastReportList(params) {
    return httpRequest({
        url: 'predict/api/frmc/getForecastReportList',
        method: 'post',
        params: params
    })
}
// 新增预测上报管理信息配置数据
export function apiGetaddForecastReport(params) {
    return httpRequest({
        url: 'predict/api/frmc/addForecastReport',
        method: 'post',
        params: params
    })
}
// 修改预测上报管理信息配置数据
export function apiGetupdateForecastReport(params) {
    return httpRequest({
        url: 'predict/api/frmc/updateForecastReport',
        method: 'post',
        params: params
    })
}
// 删除预测上报管理信息配置数据
export function apiGetdeleteForecastReport(params) {
    return httpRequest({
        url: 'predict/api/frmc/deleteForecastReport',
        method: 'post',
        params: params
    })
}

//----------------------------------------人员配置接口------------------------------------------------
export function apiGetuserList(params) {
    return httpRequest({
        url: 'predict/api/us/userList',
        method: 'post',
        params: params
    })
}

//----------------------------------------单点登录接口------------------------------------------------
export function apiGetsinglePointToLogin(params) {
    return httpRequest({
        url: 'singlePointToLogin',
        method: 'post',
        params: params
    })
}
// 插入登录信息
export function apiGetinsertLoginInformation(params) {
    return httpRequest({
        url: 'predict/api/us/insertLoginInformation',
        method: 'post',
        params: params
    })
}
// 用户信息
export function apiGetinsertLogoutInformation(params) {
    return httpRequest({
        url: 'predict/api/us/insertLogoutInformation',
        method: 'post',
        params: params
    })
}

//----------------------------------------用户管理接口------------------------------------------------
// 用户管理列表
export function apiGetgetPersonList(params) {
    return httpRequest({
        url: 'predict/api/umc/getUserList',
        method: 'post',
        params: params
    })
}
// 用户管理新增
export function apiGetgetaddPersonMsg(params) {
    return httpRequest({
        url: 'predict/api/umc/addUser',
        method: 'post',
        params: params
    })
}
// 用户管理修改
export function apiGetgetuploadPersonMsg(params) {
    return httpRequest({
        url: 'predict/api/umc/editUser',
        method: 'post',
        params: params
    })
}
// 用户管理删除
export function apiGetgetdeletePersonMsg(params) {
    return httpRequest({
        url: 'predict/api/umc/delUser',
        method: 'post',
        params: params
    })
}

//----------------------------------------角色管理接口------------------------------------------------
// 角色管理列表
export function apiGetgetRoleList(params) {
    return httpRequest({
        url: 'predict/api/rmc/getRoleList',
        method: 'post',
        params: params
    })
}
// 角色管理新增
export function apiGetgetaddPersonRoleMsg(params) {
    return httpRequest({
        url: 'predict/api/rmc/addRole',
        method: 'post',
        params: params
    })
}
// 角色管理修改
export function apiGetgetuploadPersonRoleMsg(params) {
    return httpRequest({
        url: 'predict/api/rmc/editRole',
        method: 'post',
        params: params
    })
}
// 角色管理删除
export function apiGetgetdeletePersonRoleMsg(params) {
    return httpRequest({
        url: 'predict/api/rmc/delRole',
        method: 'post',
        params: params
    })
}

//----------------------------------------菜单管理接口------------------------------------------------
// 菜单管理列表
export function apiGetgetMenuList(params) {
    return httpRequest({
        url: 'predict/api/mmc/getMenuList',
        method: 'post',
        params: params
    })
}
// 菜单管理新增
export function apiGetgetaddmenuMsg(params) {
    return httpRequest({
        url: 'predict/api/mmc/addMenu',
        method: 'post',
        params: params
    })
}
// 菜单管理修改
export function apiGetgetuploadmenuMsg(params) {
    return httpRequest({
        url: 'predict/api/mmc/editMenu',
        method: 'post',
        params: params
    })
}
// 菜单管理删除
export function apiGetgetdeletemenuMsg(params) {
    return httpRequest({
        url: 'predict/api/mmc/delMenu',
        method: 'post',
        params: params
    })
}